lv.pasts.eme.edoc

## Interface EDOCProperties

-     public interface EDOCProperties

  A `EDOCProperties` class represents metadata contained by the EDOC document.
  See Also:
    `EDOC.getCoreProperties()`, `EDOC.getBaseProperties()`, `EDOC.getExtendedProperties()`, `SignatureType.getProperties()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `choicesAllowUserValues(String key)` Returns true if property with the specified key has choices which allow user values.
    `String` | `get(String key)` Returns the property value mapped by the specified key, or `null` if value with the specified key does not exist.
    `String[]` | `getChoices(String key)` Returns available choices for property with the specified key, or `null` if property has no choices.
    `String` | `getDataType(String key)` Returns the data type of property with the specified key.
    `String` | `getDefaultValue(String key)` Returns the property default value mapped by the specified key, or `null` if the default value does not exist.
    `String` | `getDescription(String key)` Returns the description of property with the specified key, or `null` if description does not exist.
    `String[]` | `getKeys()` Returns an array of the keys contained in this `EDOCProperties`.
    `String` | `getName()` Returns name of this `EDOCProperties` object.
    `int` | `getSize()` Returns size of this `EDOCProperties` object.
    `boolean` | `hasChoices(String key)` Returns true if property with the specified key has choices.
    `boolean` | `isBaseProperties()` Returns true if this `EDOCProperties` object represents EDOC base properties.
    `boolean` | `isCoreProperties()` Returns true if this `EDOCProperties` object represents EDOC core properties.
    `boolean` | `isExtendedProperties()` Returns true if this `EDOCProperties` object represents EDOC extended properties.
    `boolean` | `isMandatory(String key)` Returns true if property with the specified key is mandatory.
    `boolean` | `isReadonly(String key)` Returns true if property with the specified key is readonly.
    `void` | `put(String key, String value)` Puts the property value mapped by the specified key.

- - ### Method Detail

    - #### getName

          String getName()

      Returns name of this `EDOCProperties` object.
      Returns:
        name of this EDOCProperties object

    - #### getSize

          int getSize()

      Returns size of this `EDOCProperties` object.
      Returns:
        name of this EDOCProperties object.

    - #### getKeys

          String[] getKeys()

      Returns an array of the keys contained in this `EDOCProperties`.
      Returns:
        an array of the keys.

    - #### get

          String get(String key)
              throws EDOCException

      Returns the property value mapped by the specified key, or `null` if value with the specified key does not exist.
      Parameters:
        `key` - the property key.
      Returns:
        the property value mapped by the specified key, or `null` if value with the specified key does not exist.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### put

          void put(String key,
                   String value)
            throws EDOCException

      Puts the property value mapped by the specified key. If property with the specified key already exists, it is overwritten.
      Parameters:
        `key` - the property key.
        `value` - the property value.
      Throws:
        `EDOCException` - if property with the specified key does not exist, or property with the specified is readonly.

    - #### isReadonly

          boolean isReadonly(String key)
                      throws EDOCException

      Returns true if property with the specified key is readonly.
      Parameters:
        `key` - the property key.
      Returns:
        true if property with the specified key is readonly.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### isMandatory

          boolean isMandatory(String key)
                       throws EDOCException

      Returns true if property with the specified key is mandatory.
      Parameters:
        `key` - the property key.
      Returns:
        true if property with the specified key is mandatory.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### getDescription

          String getDescription(String key)
                         throws EDOCException

      Returns the description of property with the specified key, or `null` if description does not exist.
      Parameters:
        `key` - the property key.
      Returns:
        the description of property with the specified key.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### getDefaultValue

          String getDefaultValue(String key)
                          throws EDOCException

      Returns the property default value mapped by the specified key, or `null` if the default value does not exist.
      Parameters:
        `key` - the property key.
      Returns:
        the property default value.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### getDataType

          String getDataType(String key)
                      throws EDOCException

      Returns the data type of property with the specified key.
      Parameters:
        `key` - the property key.
      Returns:
        the data type of property with the specified key.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### hasChoices

          boolean hasChoices(String key)
                      throws EDOCException

      Returns true if property with the specified key has choices.
      Parameters:
        `key` - the property key.
      Returns:
        true if property with the specified key has choices.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### getChoices

          String[] getChoices(String key)
                       throws EDOCException

      Returns available choices for property with the specified key, or `null` if property has no choices.
      Parameters:
        `key` - the property key.
      Returns:
        available choices for property with the specified key.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### choicesAllowUserValues

          boolean choicesAllowUserValues(String key)
                                  throws EDOCException

      Returns true if property with the specified key has choices which allow user values.
      Parameters:
        `key` - the property key.
      Returns:
        true if property with the specified key has choices which allow user values.
      Throws:
        `EDOCException` - if property with the specified key does not exist.

    - #### isCoreProperties

          boolean isCoreProperties()

      Returns true if this `EDOCProperties` object represents EDOC core properties.
      Returns:
        true if this EDOCProperties object represents EDOC core properties.

    - #### isBaseProperties

          boolean isBaseProperties()

      Returns true if this `EDOCProperties` object represents EDOC base properties.
      Returns:
        true if this EDOCProperties object represents EDOC base properties.

    - #### isExtendedProperties

          boolean isExtendedProperties()

      Returns true if this `EDOCProperties` object represents EDOC extended properties.
      Returns:
        true if this EDOCProperties object represents EDOC extended properties.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO